gsl_defines.hh File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | DO_EXPORT __attribute__((visibility("default")))
#define | DO_IMPORT __attribute__((visibility("default")))
#define | EXPORT_GSL DO_IMPORT

## Macro Definition Documentation

## DO_EXPORT

#define DO_EXPORT __attribute__((visibility("default")))

Definition at line 28 of file gsl_defines.hh.

## DO_IMPORT

#define DO_IMPORT __attribute__((visibility("default")))

Definition at line 29 of file gsl_defines.hh.

## EXPORT_GSL

#define EXPORT_GSL DO_IMPORT

Definition at line 38 of file gsl_defines.hh.

Referenced by gsl::dot(), gsl::matrix_inv_sqrt(), gsl::matrix_orthogonalize(), gsl::multiply_m_m(), gsl::multiply_m_mT(), gsl::multiply_m_v(), gsl::multiply_mT_m(), gsl::multiply_v_m(), gsl::operator!=(), gsl::operator!=(), gsl::operator*(), gsl::operator+(), gsl::operator-(), gsl::operator==(), and gsl::operator==().